; task: find largest 4 bit number in input
; input on paper:
;  1: number of operands (N)
;  2..N+2: operands
;
; output on paper:
;  0: largest number
	BTS STATUS, 3   ; SI: paper

	; set SI to 3
	LDA 1
	MOVE SI, A

  ; load number of operands in cntr (6)
	LDA 6
	MOVE DI, A
	LDAS
	STAD

	; reset DI to 0
	LDA 0
	MOVE DI, A

	; set SI to 4
	LDA 2
	MOVE SI, A

@loop:
	LDA 0           ; make sure DI is 0
	MOVE DI, A

	; load next operand into A and substract it from current largest
	LDAS
	SBDA

	; if result is negative, carry is set; store this in ram 0
	SKC
	JMP noc
	LDAS
	STAD

@noc:
	LOOPI
	JMP loop

	; copy ram 0 on paper
	BTC STATUS, 3   ; SI: ram
	BTS STATUS, 2   ; DI: paper

	LDA 0
	MOVE SI, A
	MOVE DI, A

	; copy a nibbles
	LDAS
	STAD

	FIN
