; Print human-readable roman numbers, readable when card is rotated 90 degrees CW or CCW.
; input on paper:
;  0: input digit between 0 and 3 (inclusive)
; output on paper:
;  from 1: roman digits
;  There shall be one empty line between each roman digit. 0 if 'f9f', I is 'f'.

@start:				; 0x0000
	BTS STATUS, 3	;2
	BTC STATUS, 2	;2
	LDA 0		;2
	MOVE SI, A	;2
	LDA 7		;2
	MOVE DI, A	;2
	LDAS		;1
	INCA		;2
	STAD		;1
@zero:				; 0x0010
	CALL init	;3
	CALL full	;3
	CALL topbot	;3
	CALL full	;3
	FIN		;2
	NOP
	NOP
@one:				; 0x0020
	CALL init	;3
	LDA 15		;2
	JMP one_line	;3
@full:
	LDA 15		;2
	STAD		;1
	LOOPI		;2
	RET		;2
	NOP

@two:				; 0x0030
	CALL init	;3
	LDA 15		;2
	JMP two_lines	;3

@topbot:
	LDA 9		;2
	STAD		;1
	LOOPI		;2
	RET		;2
	NOP

@three:				; 0x0040
	CALL init	;3
	LDA 15		;2
	JMP three_lines	;3

@init:				; 0x0048
	BTS STATUS, 2	;2
	LDA 1		;2
	MOVE DI, A	;2
	RET		;2

@three_lines:			; 0x0050
	STAD		;1
	LOOPI		;2
	LOOPI		;2
@two_lines:			; 0x0055
	STAD		;1
	LOOPI		;2
	LOOPI		;2
@one_line:			; 0x005A
	STAD		;1
	LOOPI		;2
	LOOPI		;2
	FIN		;2

@empty_from_here:		; 0x0061 (= 97)
